[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.OnDropFiles

OnDropFiles - The event invoked when file is dropped on one of the application forms.

## Declaration

Source position: forms.pp line 1437

`public property TApplication.OnDropFiles: TDropFilesEvent read FOnDropFiles write FOnDropFiles;`

## Description

The OnDropFiles event is invoked when user drops one or multiple files on one of the application forms. You must enable this feature by setting AllowDropFiles property of form.

## See also

TCustomForm.OnDropFiles |  | The event invoked when file is dropped on this form.
TCustomForm.AllowDropFiles |  | Specifies if files are allowed to be dropped on this form.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.